# pcap_pkthdr Struct Reference
[Definitions]

Header of a packet in the dump file. More...

`#include <pcap.h>`

## Data Fields
struct timeval | ts
| time stamp
bpf_u_int32 | caplen
| length of portion present
bpf_u_int32 | len
| length this packet (off wire)

## Detailed Description

Header of a packet in the dump file.

Each packet in the dump file is prepended with this generic header. This gets around the problem of different headers for different packet interfaces.

Definition at line 126 of file incs/pcap.h.

## Field Documentation

bpf_u_int32 caplen

length of portion present

Definition at line 128 of file incs/pcap.h.

bpf_u_int32 len

length this packet (off wire)

Definition at line 129 of file incs/pcap.h.

struct timeval ts`[read]`

time stamp

Definition at line 127 of file incs/pcap.h.

The documentation for this struct was generated from the following file:

- incs/pcap.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.